Bug 196808

Summary: RTCTrackEvent should be delayed until the whole remote description is set
Product: WebKit Reporter: youenn fablet <youennf>
Component: WebRTCAssignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, eric.carlson, webkit-bug-importer, youennf
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch none

Description youenn fablet 2019-04-10 22:26:20 PDT
We are currently firing RTCTrackEvent as soon as a new track is found.
We should actually delay this until the remote description is fully applied.
This will for instance ensure that the streams passed through RTCTrackEvent have the right number of tracks as soon as exposed to JS
Comment 1 Radar WebKit Bug Importer 2019-04-10 22:26:34 PDT
<rdar://problem/49802649>
Comment 2 youenn fablet 2019-04-27 00:30:19 PDT
Created attachment 368392 [details]
Patch
Comment 3 youenn fablet 2019-04-29 08:08:37 PDT
win error is unrelated
Comment 4 WebKit Commit Bot 2019-04-29 09:24:36 PDT
Comment on attachment 368392 [details]
Patch

Clearing flags on attachment: 368392

Committed r244736: <https://trac.webkit.org/changeset/244736>
Comment 5 WebKit Commit Bot 2019-04-29 09:24:38 PDT
All reviewed patches have been landed.  Closing bug.